dashboard/urls.py
from django.urls import (
    path,
    re_path,
    include
)

from dashboard.views import HomeView

from accounts.views import (
    AccountProfileUpdateView,
    AccountProfileFinalizeView
)

from project.views import (
    ApplicationCreateView,
    ApplicationListView,
    ApplicationView,
    ApplicationFinalizeView,
    ProjectTemplateView,
    ProjectView,
    ProjectFinalizeView,
    ProjectShownView,
    TeamMemberView,
    TeamPublishedView
)


app_name = 'dashboard'

urlpatterns = [
    re_path(
        r'^$',
        HomeView.as_view(),
        name='home'
    ),
    re_path(
        r'^account/application/(?P<pk>\d+)/create/$',
        ApplicationCreateView.as_view(),
        name='application-create'
    ),
    re_path(
        r'^account/applications/$',
        ApplicationListView.as_view(),
        name='application-list'
    ),
    re_path(
        r'^account/application/(?P<sku>\w+\d*)/$',
        ApplicationView.as_view(),
        name='application-edit'
    ),
    re_path(
        r'^account/application/(?P<sku>\w+\d*)/published/$',
        ApplicationFinalizeView.as_view(),
        name='application-published'
    ),
    re_path(
        r'^account/application/(?P<sku>\w+\d*)/project/(?P<sku_project>\w+\d*)/preview/$',
        ProjectTemplateView.as_view(),
        name='project-view'
    ),
    re_path(
        r'^account/application/(?P<sku>\w+\d*)/project/(?P<sku_project>\w+\d*)/$',
        ProjectView.as_view(),
        name='application-project-edit'
    ),
    re_path(
        r'^account/application/(?P<sku>\w+\d*)/project/(?P<sku_project>\w+\d*)/published/$',
        ProjectFinalizeView.as_view(),
        name='application-project-published'
    ),
    re_path(
        r'^account/application/(?P<sku>\w+\d*)/project/(?P<sku_project>\w+\d*)/shown/$',
        ProjectShownView.as_view(),
        name='application-project-shown'
    ),
    re_path(
        r'^account/application/(?P<sku>\w+\d*)/project/(?P<sku_project>\w+\d*)/team/members/$',
        TeamMemberView.as_view(),
        name = 'project-team-member'
    ),
    re_path(
        r'^account/application/(?P<sku>\w+\d*)/project/(?P<sku_project>\w+\d*)/team/published/$',
        TeamPublishedView.as_view(),
        name = 'project-team-published'
    ),
    re_path(
        r'^account/profile/(?P<sku_app>\w+\d*)/$',
        AccountProfileUpdateView.as_view(),
        name='account-profile-edit'
    ),
    re_path(
        r'^account/profile/(?P<sku_app>\w+\d*)/published/$',
        AccountProfileFinalizeView.as_view(),
        name='account-profile-published'
    ),
]

pages/urls.py
from django.urls import path, re_path, include
from django.views.decorators.cache import cache_page
from . import views

app_name = 'pages'
urlpatterns = [
    re_path(r'^$', views.HomeView.as_view(), name='home'),
    re_path(r'^service/$', views.ServiceView.as_view(), name='service'),
    re_path(r'^about/$', views.AboutView.as_view(), name='about'),
    re_path(r'^contact/$', views.ContactView.as_view(), name='contact'),
    re_path(r'^portfolio/$', views.PortfolioView.as_view(), name='portfolio'),
    re_path(r'^portfolio/(?P<slug>[\w\-]+)/$', views.PortfolioDetailView.as_view(), name='project-detail'),
]

project/models.py
from project.submodels.application import Application
from project.submodels.project import Project
from project.submodels.reviews import Reviews
from project.submodels.team import Team
from project.submodels.member import Member

project/forms.py
import re

from django import forms

from .models import Application
from .models import Project
from .models import Team
from .models import Member

from django.utils.translation import ugettext_lazy as _

from painless.regex.patterns import INTERNATIONAL_PHONE_NUMBER_PATTERN


class ApplicationDraftForm(forms.ModelForm):

    def __init__(self, *args, **kwargs):
        super(ApplicationDraftForm, self).__init__(*args, **kwargs)
        self.user = kwargs['instance']

    TRUE_FALSE_CHOICES = (
        (True, 'Yes'),
        (False, 'No')
    )

    SALE_RATE_TYPE = (
        ('m', _('Monthly')),
        ('y', _('Yearly')),
    )

    has_product = forms.ChoiceField(choices = TRUE_FALSE_CHOICES, label=_("Has Product"), 
                                    initial='', widget=forms.Select(), required=False)

    qatari_partnership = forms.ChoiceField(choices = TRUE_FALSE_CHOICES, label=_("Qatari Partnership"), 
                                           initial='', widget=forms.Select(), required=False)

    sales_rate_type = forms.ChoiceField(choices = SALE_RATE_TYPE, label=_("Sales rate Type"), 
                                           initial='', widget=forms.Select(), required=False)

    
    class Meta:
        model = Application
        fields = ('user', 'qatari_partnership', 'website',
                 'is_b2b', 'is_b2c', 'is_b2g', 'is_b2b2c', 'industry', 'has_product',
                 'sales_rate', 'deneb_result', 'is_published', 'sales_rate_type',
                 'kafil_fname', 'kafil_lname', 'kafil_email', 'kafil_qatari_id', 'keywords', 'abstract')

    
    def clean_qatari_partnership(self):

        qatari_partnership = self.cleaned_data['qatari_partnership']

        if qatari_partnership == 'True':

            return True

        if qatari_partnership == 'False':

            return False

        return qatari_partnership


    def clean_has_product(self):

        has_product = self.cleaned_data['has_product']

        if has_product == 'True':

            return True

        if has_product == 'False':

            return False

        return has_product

    
    def clean_is_b2b(self):

        is_b2b = self.cleaned_data['is_b2b']
        
        if is_b2b == 'on':

            return True

        if is_b2b == 'off':

            return False

        return is_b2b


    def clean_is_b2c(self):

        is_b2c = self.cleaned_data['is_b2c']

        if is_b2c == 'on':

            return True

        if is_b2c == 'off':

            return False

        return is_b2c

    
    def clean_is_b2g(self):

        is_b2g = self.cleaned_data['is_b2g']

        if is_b2g == 'on':

            return True

        if is_b2g == 'off':

            return False

        return is_b2g


    def clean_is_b2b2c(self):

        is_b2b2c = self.cleaned_data['is_b2b2c']

        if is_b2b2c == 'on':

            return True

        if is_b2b2c == 'off':

            return False

        return is_b2b2c
    
    
    def clean_sales_rate(self):

        sales_rate = self.cleaned_data['sales_rate']

        if sales_rate == None:

            return 0
        
        return sales_rate
    
    
    def clean(self):

        cleaned_data = super().clean()

        is_published = cleaned_data.get('is_published')

        email_confirmed = self.user.profile.email_confirmed

        # check if user is active
        if not email_confirmed:
            raise forms.ValidationError(_('Your email has not confirmed!'))

        # check if hasn't publish
        if is_published:
            raise forms.ValidationError(_('You cannot submit form when it is published already.'), code='forbidden')

        qatari_partnership = cleaned_data.get('qatari_partnership')
        kafil_fname = cleaned_data.get('kafil_fname')
        kafil_lname = cleaned_data.get('kafil_lname')
        kafil_email = cleaned_data.get('kafil_email')
        kafil_qatari_id = cleaned_data.get('kafil_qatari_id')
        # import pdb ; pdb.set_trace()
        if qatari_partnership:
            if not kafil_fname:
                raise forms.ValidationError(_('Please enter kafil first name.'), code='forbidden')
            if not kafil_lname:
                raise forms.ValidationError(_('Please enter kafil last name.'), code='forbidden')
            if not kafil_email:
                raise forms.ValidationError(_('Please enter kafil email address.'), code='forbidden')
            if not kafil_qatari_id:
                raise forms.ValidationError(_('Please enter kafil qatari id.'), code='forbidden')
        
        else:

            if kafil_fname or kafil_lname or kafil_email or kafil_qatari_id:
                
                raise forms.ValidationError(
                    _('You must select True for Qatari Partnership if you have a kafil.'),
                    code='forbidden'
                )
        
        keywords = cleaned_data.get('keywords')
        if keywords:

            if not ',' in keywords:
                raise forms.ValidationError(_("Please seperate keywords with `,`."))
            else:
                keywords = [s.strip() for s in keywords.split(',')]
                if len(keywords) < 3:
                    raise forms.ValidationError(_("Please enter at least 4 keywords."))
                elif len(keywords) > 15:
                    raise forms.ValidationError(_("Please enter fewer keywords. Maximum range of keywords are 14."))
                else:
                    pass

        return cleaned_data


class ApplicationPublishForm(forms.ModelForm):

    class Meta:
        
        model = Application

        fields = ('is_published',)

        widgets = {
            'is_published': forms.HiddenInput(),
        }

    def clean(self):

        cleaned_data = super().clean()

        app = self.instance
        
        if not app.user.profile.is_published:

            raise forms.ValidationError(_('You must finalize your profile.'), code='forbidden')

        if not app.is_b2b:
            if not app.is_b2c:
                if not app.is_b2g:
                    if not app.is_b2b2c:
                        raise forms.ValidationError(_('Please select at least one of business models.'), code='forbidden')
        
        if not app.industry:
            raise forms.ValidationError(_('Please fill industry field.'), code='forbidden')

        if not app.deneb_result:
            raise forms.ValidationError(_('Please fill deneb_result field.'), code='forbidden')

        if not app.abstract:
            raise forms.ValidationError(_('Please fill abstract field.'), code='forbidden')

        if not app.sales_rate:
            raise forms.ValidationError(_('Please fill sales_rate field.'), code='forbidden')
        
        if not app.sales_rate_type:
            raise forms.ValidationError(_('Please fill sales_rate_type field.'), code='forbidden')

        if not app.keywords:
            raise forms.ValidationError(_('Please fill keywords field.'), code='forbidden')
        
        if app.sales_rate == 0:
            raise forms.ValidationError(_('sales_rate value can not be 0.'), code='forbidden')


class ProjectDraftForm(forms.ModelForm):

    def __init__(self, *args, **kwargs):

        self.user = kwargs.pop('user', None)

        super(ProjectDraftForm, self).__init__(*args, **kwargs)


    class Meta:

        model = Project

        fields = ('title',
                  'cover',
                  'video',
                  'summary', 'summary_img',
                  'problem', 'problem_img',
                  'solution', 'solution_img',
                  'product', 'product_img',
                  'customer', 'customer_img',
                  'business', 'business_img',
                  'market', 'market_img',
                  'competition', 'competition_img',
                  'vision', 'vision_img',
                  'founders', 'founders_img',
                 )


    def clean_summary(self):

        summary = self.cleaned_data['summary']

        except_values = ['<', '>', '/']

        for e_v in except_values:
        
            if e_v in summary:

                raise forms.ValidationError(
                    _('You can\'t use from < > / characters.'),
                    code='forbidden'
                )

        return summary


    def clean_problem(self):

        problem = self.cleaned_data['problem']

        except_values = ['<', '>', '/']

        for e_v in except_values:
        
            if e_v in problem:

                raise forms.ValidationError(
                    _('You can\'t use from < > / characters.'),
                    code='forbidden'
                )

        return problem


    def clean_solution(self):

        solution = self.cleaned_data['solution']

        except_values = ['<', '>', '/']

        for e_v in except_values:
        
            if e_v in solution:

                raise forms.ValidationError(
                    _('You can\'t use from < > / characters.'),
                    code='forbidden'
                )

        return solution


    def clean_Product(self):

        Product = self.cleaned_data['Product']

        except_values = ['<', '>', '/']

        for e_v in except_values:
        
            if e_v in Product:

                raise forms.ValidationError(
                    _('You can\'t use from < > / characters.'),
                    code='forbidden'
                )

        return Product


    def clean_Customer(self):

        Customer = self.cleaned_data['Customer']

        except_values = ['<', '>', '/']

        for e_v in except_values:
        
            if e_v in Customer:

                raise forms.ValidationError(
                    _('You can\'t use from < > / characters.'),
                    code='forbidden'
                )

        return Customer


    def clean_Business(self):

        Business = self.cleaned_data['Business']

        except_values = ['<', '>', '/']

project/views.py
from project.subviews.application import (
    ApplicationCreateView,
    ApplicationListView,
    ApplicationView,
    ApplicationFinalizeView,
)

from project.subviews.project import (
    ProjectTemplateView,
    ProjectView,
    ProjectFinalizeView,
    ProjectShownView,
)

from project.subviews.team import (
    TeamMemberView,
    TeamPublishedView
)

media/templates/partials/about.html
<!-- Start deneb_about section -->
<section class="deneb_about about_v1">
    <div class="container">
        <div class="row align-items-center">
            <div class="col-lg-5">
                <div class="deneb_img_box wow fadeInLeft">
                    <img src="{{  site.about_pic.url }}" class="img-fluid" alt="{{ site.alternative_about_pic }}">
                </div>
            </div>
            <div class="col-lg-7">
                <div class="deneb_content_box wow fadeInRight">
                    <h2>About us </h2>
                    {{ site.about_us|safe|truncatechars:1000 }}
                    <br/>
                    <a href="{% url 'pages:about' %}" class="deneb_btn">Read More</a>
                </div>
            </div>
        </div>
    </div>
</section>

media/templates/partials/achievement.html
<!-- Start deneb_achivement section -->
<section class="deneb_achivement section_padding">
    <div class="container">
        <div class="row align-items-center">
            <div class="col-lg-6  wow fadeInLeft">
                <div class="section_title">
                    <h2>{{ site.achievement_title }}</h2>
                </div>
                <div class="deneb_content_box">
                    {{ site.achievement_description|safe }}
                </div>
            </div>
            <div class="col-lg-6">
                <div class="achivment_wrapper">
                    {% for achievement in site.achievements.all %}
                        <div class="single_achivment wow fadeInUp">
                            <div class="icon">
                                <img src="{{ achievement.icon_svg.url }}" class="img-fluid" alt="{{ achievement.alternative_icon }}">
                            </div>
                            <h3>{{ achievement.count }}</h3>
                            <p>{{ achievement.title }}</p>
                        </div>
                    {% endfor %}
                </div>
            </div>
        </div>
    </div>
</section>
<!-- End deneb_achivement section -->

media/templates/partials/banner.html
{% load static %}
<!-- Start deneb_banner section -->
<section class="deneb_banner banner_v1">
    <div class="shape_v1">
        <img src="{% static 'assets/images/shape/shape_1.png' %}" class="shape_1" alt="">
    </div>
    <div class="container">
        <div class="hero_slider">
            {% for banner in site.banners.all %}
           
                <div class="signle_slider">
                    <div class="row align-items-center">
                        <div class="col-lg-5">
                            <div class="banner_content wow fadeInLeft">
                                <h1>{{ banner.title_black }} <br><span>{{ banner.title_gold }}</span></h1>
                                <h5>{{ banner.subtitle }}</h5>
                                <p>{{ banner.summary | safe }}</p>
                            </div>
                        </div>
                        <div class="col-lg-7">
                            <div class="deneb_img_box wow fadeInRight">
                                <img src="{{ banner.pic.url }}" class="img-fluid" alt="{{ banner.alternative_pic }}">
                            </div>
                        </div>
                    </div>
                </div>
            {% endfor %}
        </div>
    </div>
</section><!-- End deneb_banner section-->

media/templates/partials/contact.html
{% load widget_tweaks %}
<!-- Start deneb_contact section -->
<section class="deneb_contact cantact_v2 section_padding">
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <div class="section_title">
                    <h2>Send us a message</h2>
                    <p>When unknow printer took a gallery of type and scramblted it to make a type specimen book</p>
                </div>
                <div class="contact_form">

                    {% if messages %}
                        <ul class="messages">
                            {% for message in messages %}
                            <div class="alert alert-{{ message.tags }}" role="alert">
                                {{ message }}
                            </div>
                            {% endfor %}
                        </ul>
                    {% endif %}
                    
                    {% for hidden in form.hidden_fields %}
                        {{ hidden }}
                    {% endfor %}

                    <form method="POST" id="captchaForm" action="{% url 'pages:contact' %}">
                        <div class="row">
                            {% csrf_token %}
                            <input type="hidden" name="g-recaptcha-response" id='recaptcha'>
                            
                            {% for field in form.visible_fields %}
                                {% if forloop.last %}
                                    <div class="col-lg-12">
                                        <div class="form_group">
                                            {% render_field field class="form_control" placeholder=field.label %}

                                            {% for error in field.errors %}
                                                <div class="alert alert-danger" role="alert" style="margin-top: 20px;">
                                                    {{ error }}
                                                </div>
                                            {% endfor %}
                                        </div>
                                    </div>
                                {% else %}
                                    <div class="col-lg-6">
                                        <div class="form_group">
                                            {% render_field field class="form_control" placeholder=field.label %}

                                            {% for error in field.errors %}
                                                <div class="alert alert-danger" role="alert" style="margin-top: 20px;">
                                                    {{ error }}
                                                </div>
                                            {% endfor %}
                                        </div>
                                    </div>
                                {% endif %}
                            {% endfor %}

                            <div class="col-lg-12">
                                <div class="button_box">
                                    <button type="submit" class="deneb_btn">Submit Now</button>
                                </div>
                            </div>
                        </div>

                    </form>

                </div>
            </div>
        </div>
    </div>
</section>
<!-- End deneb_contact section -->
<!-- Start deneb_map section -->
<!-- <section class="deneb_map">
    <div class="map_box">
        <iframe src="{{ site.map }}"></iframe>
    </div>
</section> -->

media/templates/partials/get-in-touch.html
{% load static %}
{% load widget_tweaks %}
{% load cache %}

{% cache 500 getintouch %}
<!-- Start deneb_contact section -->
<section class="deneb_contact contact_v1">
    <div class="container">
        <div class="row align-items-center">
            <div class="col-lg-6">
                <div class="deneb_img_box">
                    <img src="{% static 'assets/images/contact.png' %}" class="img-fluid" alt="">
                </div>
            </div>
            <div class="col-lg-6">
                <div class="section_title">
                    <h2>Get In Touch With Us</h2>
                    <p>After receiving your message, our support team will contact you soon.</p>
                </div>
                <div class="contact_form">
                    <form method="POST" id="captchaForm" action="{% url 'pages:contact' %}">
                        <div class="row">
                            {% csrf_token %}
                            <input type="hidden" name="g-recaptcha-response" id='recaptcha'>
                            
                            {% for field in form.visible_fields %}
                                {% if forloop.last %}
                                    <div class="col-lg-12">
                                        <div class="form_group">
                                            {% render_field field class="form_control" placeholder=field.label %}

                                            {% for error in field.errors %}
                                                <div class="alert alert-danger" role="alert" style="margin-top: 20px;">
                                                    {{ error }}
                                                </div>
                                            {% endfor %}
                                        </div>
                                    </div>
                                {% else %}
                                    <div class="col-lg-6">
                                        <div class="form_group">
                                            {% render_field field class="form_control" placeholder=field.label %}

                                            {% for error in field.errors %}
                                                <div class="alert alert-danger" role="alert" style="margin-top: 20px;">
                                                    {{ error }}
                                                </div>
                                            {% endfor %}
                                        </div>
                                    </div>
                                {% endif %}
                            {% endfor %}

                            <div class="col-lg-12">
                                <div class="button_box">
                                    <button type="submit" class="deneb_btn">Submit Now</button>
                                </div>
                            </div>
                        </div>

                    </form>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- End deneb_contact section -->
{% endcache %}

media/templates/partials/mobile-nav.html
{% load static %}
{% load cache %}

{% cache 500 mobilenav %}
<div class="mobile_wrapper">
    <div class="mobile_header">
        <div class="row align-items-center">
            <div class="col-6">
                <div class="brand_logo">
                    <a href="{% url 'pages:home' %}"><img src="{{ site.logo.url }}" class="img-fluid" alt="{{ site.alternative_logo }}"></a>
                </div>
            </div>
            <div class="col-6">
                <div class="menu_button">
                    <div class="menu_icon">
                        <span></span>
                        <span></span>
                        <span></span>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="sidenav_menu">
        <div class="close_icon">
            <a href="#" class="close_btn"><i class="fas fa-times"></i></a>
        </div>
        <ul class="sidebar-menu">
            <li class="menu-item {% if view.page_name == 'About' %}active_link{% endif %}"><a href="{% url 'pages:about'  %}">About Us</a></li>
            <li class="menu-item {% if view.page_name == 'Services' %}active_link{% endif %}"><a href="{% url 'pages:service'  %}">Services</a></li>
            <li class="menu-item {% if view.page_name == 'Portfolio' %}active_link{% endif %}"><a href="{% url 'pages:portfolio'  %}">Portfolio</a></li>
            <li class="menu-item {% if view.page_name == 'Contact' %}active_link{% endif %}"><a href="{% url 'pages:contact'  %}">Contact Us</a></li>
            <li class="menu-item {% if view.page_name == 'Apply' %}active_link{% endif %}"><a href="{% url 'login'  %}" class="deneb_btn" style="margin-bottom: 8px;">Apply Now</a></li>
        </ul>
    </div>
</div>
{% endcache %}

media/templates/partials/nav.html
{% load static %}
{% load cache %}

{% cache 500 nav view.page_name request.user.username  %}
<div class="site_menu">
    <div class="row align-items-center">
        <div class="col-lg-2">
            <div class="brand">
                <a href="{% url 'pages:home' %}" class="logo"><img src="{{ site.logo.url }}" class="img-fluid" alt="{{ site.alternative_logo }}"></a>
            </div>
        </div>
        <div class="col-lg-10">
            <div class="primary_menu" id="menu">
                <nav class="main_menu">
                    <ul>
                        <li class="menu-item {% if view.page_name == 'About' %}active_link{% endif %}"><a href="{% url 'pages:about'  %}">About Us</a></li>
                        <li class="menu-item {% if view.page_name == 'Services' %}active_link{% endif %}"><a href="{% url 'pages:service'  %}">Services</a></li>
                        <li class="menu-item {% if view.page_name == 'Portfolio' %}active_link{% endif %}"><a href="{% url 'pages:portfolio'  %}">Portfolio</a></li>
                        <li class="menu-item {% if view.page_name == 'Contact' %}active_link{% endif %}"><a href="{% url 'pages:contact'  %}">Contact Us</a></li>
                        {% if user.is_authenticated %}
                            {% comment %} <li class="menu-item {% if view.page_name == 'Apply' %}active_link{% endif %}"><a href="{% url 'dashboard:home'  %}" class="deneb_btn">{{ request.user.username }}</a></li> {% endcomment %}
                            <li class="menu-item {% if view.page_name == 'Apply' %}active_link{% endif %}"><a href="#" class="deneb_btn">{{ request.user.username }}</a></li>
                        {% else %}
                            <li class="menu-item {% if view.page_name == 'Apply' %}active_link{% endif %}"><a href="{% url 'login'  %}" class="deneb_btn">Apply now</a></li>
                        {% endif %}
                    </ul>
                </nav>
            </div>
        </div>
    </div>
</div>
{% endcache %}

media/templates/partials/portfolio.html
<!-- Start deneb_project section -->
<section class="deneb_project project_v2 section_padding" id="project">
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <div class="section_title text-center">
                    <h2>Our Latest Projects</h2>
                    <p>When unknow printer took a gallery of type and scramblted it to make a type specimen book</p>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-12">
                <div class="project_button_2 text-center">
                    {% for category in portfolio_categories %}
                        {% if forloop.first %}
                            <button class="project_btn active_btn" data-filter="*">all</button>
                        {% else%}
                            <button class="project_btn" data-filter=".{{ category.slug }}">{{ category.title }}</button>
                        {% endif %}
                    {% endfor %}
                </div>
            </div>
        </div>
        <div class="row grid_wrapper">
            {% for project in projects %}
                <div class="col-lg-4 col-md-6 col-sm-12 single_project {{ project.category }}">
                    <div class="grid_item">
                        <div class="deneb_img">
                            {% if project.cover %}
                                <img src="{{ project.cover.url }} " class="img-fluid" alt="{{ project.picture_seo }}">
                            {% else %}
                                <img src="https://via.placeholder.com/400x267" class="img-fluid" alt="{{ project.picture_seo }}">
                            {% endif %}
                        </div>
                        <div class="deneb_info">
                            <h4><a href="{{ project.get_absolute_url }}">{{ project.title }}</a></h4>
                            
                        </div>
                    </div>
                </div>
            {% endfor %}
        </div>
        <!-- <div class="row">
            <div class="col-lg-12">
                <div class="deneb_pagination text-center">
                    <ul>
                        <li class="prev"><a href="#">Prev</a></li>
                        <li><a href="#">1</a></li>
                        <li><a href="#">2</a></li>
                        <li><a href="#">3</a></li>
                        <li><a href="#">4</a></li>
                        <li class="next"><a href="#">Next</a></li>
                    </ul>
                </div>
            </div>
        </div> -->
    </div>
</section>
<!-- End deneb_project section -->

media/templates/partials/recaptcha.html
<script src="https://www.google.com/recaptcha/api.js?render=6LfZsvgUAAAAAJX02IjM58aIqO5y-g60SRJGPR4A"></script>
<script>
    grecaptcha.ready(function() {
        $('#captchaForm').submit(function(e){
            var form = this;
            e.preventDefault()
            grecaptcha.execute('6LfZsvgUAAAAAJX02IjM58aIqO5y-g60SRJGPR4A', {action: 'contactform'}).then(function(token) {
                $('#recaptcha').val(token)
                form.submit()
            });
        })

    });
</script>